Package org.silverpeas.components.infoletter.model

# Class InfoLetterPublicationPdC

java.lang.Object
org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean
org.silverpeas.components.infoletter.model.InfoLetterPublication
org.silverpeas.components.infoletter.model.InfoLetterPublicationPdC

All Implemented Interfaces:
  `Serializable`, `Comparable<InfoLetter>`, `org.silverpeas.core.contribution.model.Contribution`, `org.silverpeas.core.contribution.model.SilverpeasContent`, `org.silverpeas.core.contribution.model.WithPermanentLink`, `org.silverpeas.core.contribution.model.WithURL`, `org.silverpeas.core.Identifiable`, `org.silverpeas.core.Instance<org.silverpeas.core.contribution.model.Contribution>`, `org.silverpeas.core.Nameable`, `org.silverpeas.core.persistence.jdbc.bean.SilverpeasEntityBean`, `org.silverpeas.core.security.Securable`, `org.silverpeas.core.SilverpeasResource`

public class InfoLetterPublicationPdC extends InfoLetterPublication implements org.silverpeas.core.contribution.model.SilverpeasContent, org.silverpeas.core.contribution.model.WithURL

Author:
  lbertin
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TYPE`

  ### Fields inherited from class org.silverpeas.components.infoletter.model.InfoLetterPublication

  `PUBLICATION_EN_REDACTION, PUBLICATION_VALIDEE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InfoLetterPublicationPdC()`
  Default constructor
  `InfoLetterPublicationPdC(InfoLetterPublication ilp)`
  Constructor from InfoLetterPublication

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getComponentInstanceId()`
  `String`
  `getContributionType()`
  `Date`
  `getCreationDate()`
  `org.silverpeas.core.admin.user.model.User`
  `getCreator()`
  `String`
  `getId()`
  `org.silverpeas.core.contribution.model.ContributionIdentifier`
  `getIdentifier()`
  `Date`
  `getLastUpdateDate()`
  `org.silverpeas.core.admin.user.model.User`
  `getLastUpdater()`
  `String`
  `getName()`
  `String`
  `getPositions()`
  `Optional<InfoLetterPath>`
  `getResourcePath()`
  `String`
  `getSilverpeasContentId()`
  `String`
  `getURL()`
  `int`
  `hashCode()`
  `void`
  `setPositions(String positions)`

  ### Methods inherited from class org.silverpeas.components.infoletter.model.InfoLetterPublication

  `compareTo, deleteContent, getDescription, getInstanceId, getLetterId, getParutionDate, getPermalink, getPublicationState, getTableName, getTitle, getWysiwygContent, initFrom, isValid, saveContent, setDescription, setInstanceId, setLetterId, setLetterId, setParutionDate, setPublicationState, setTitle`

  ### Methods inherited from class org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

  `getNonNullString, getPK, setPK`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.contribution.model.Contribution

  `canBeAccessedBy, getDescription, getModel, getTitle, isIndexable`

  ### Methods inherited from interface org.silverpeas.core.Instance

  `getParent`

  ### Methods inherited from interface org.silverpeas.core.security.Securable

  `canBeDeletedBy, canBeFiledInBy, canBeModifiedBy`

- ## Field Details

  - ### TYPE

    public static final String TYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InfoLetterPublicationPdC

    public InfoLetterPublicationPdC()
    Default constructor

  - ### InfoLetterPublicationPdC

    public InfoLetterPublicationPdC(InfoLetterPublication ilp)
    Constructor from InfoLetterPublication
    Parameters:
      `ilp` - InfoLetterPublication

- ## Method Details

  - ### getPositions

    public String getPositions()
    Returns:
      the positions

  - ### setPositions

    public void setPositions(String positions)
    Parameters:
      `positions` - the positions to set

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `org.silverpeas.core.contribution.model.Contribution`
    Specified by:
      `getName` in interface `org.silverpeas.core.Nameable`

  - ### getURL

    public String getURL()
    Specified by:
      `getURL` in interface `org.silverpeas.core.contribution.model.WithURL`

  - ### getId

    public String getId()
    Specified by:
      `getId` in interface `org.silverpeas.core.Identifiable`
    Specified by:
      `getId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`

  - ### getCreationDate

    public Date getCreationDate()
    Specified by:
      `getCreationDate` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getComponentInstanceId

    public String getComponentInstanceId()
    Specified by:
      `getComponentInstanceId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`

  - ### getLastUpdateDate

    public Date getLastUpdateDate()
    Specified by:
      `getLastUpdateDate` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getCreator

    public org.silverpeas.core.admin.user.model.User getCreator()
    Specified by:
      `getCreator` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getLastUpdater

    public org.silverpeas.core.admin.user.model.User getLastUpdater()
    Specified by:
      `getLastUpdater` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getSilverpeasContentId

    public String getSilverpeasContentId()
    Specified by:
      `getSilverpeasContentId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`

  - ### getIdentifier

    public org.silverpeas.core.contribution.model.ContributionIdentifier getIdentifier()
    Specified by:
      `getIdentifier` in interface `org.silverpeas.core.contribution.model.Contribution`
    Specified by:
      `getIdentifier` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`
    Specified by:
      `getIdentifier` in interface `org.silverpeas.core.SilverpeasResource`
    Overrides:
      `getIdentifier` in class `InfoLetterPublication`

  - ### getContributionType

    public String getContributionType()
    Specified by:
      `getContributionType` in interface `org.silverpeas.core.contribution.model.Contribution`

  - ### getResourcePath

    public Optional<InfoLetterPath> getResourcePath()
    Specified by:
      `getResourcePath` in interface `org.silverpeas.core.contribution.model.Contribution`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `InfoLetterPublication`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `InfoLetterPublication`